package com.bytedance.ies.sdk.widgets;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.ElementSpec;
import java.util.List;

public interface GroupableElementSpec extends ElementSpec {
    static {
        Covode.recordClassIndex(30483);
    }

    List<Integer> getGroupIds();

    public static final class DefaultImpls {
        static {
            Covode.recordClassIndex(30484);
        }

        public static void dispose(GroupableElementSpec groupableElementSpec) {
            M12.LIZ(groupableElementSpec);
            ElementSpec.DefaultImpls.dispose(groupableElementSpec);
        }

        public static void onDispose(GroupableElementSpec groupableElementSpec) {
            M12.LIZ(groupableElementSpec);
            ElementSpec.DefaultImpls.onDispose(groupableElementSpec);
        }

        public static void attach(GroupableElementSpec groupableElementSpec, ConstraintProperty constraintProperty) {
            M12.LIZ(groupableElementSpec, constraintProperty);
            ElementSpec.DefaultImpls.attach(groupableElementSpec, constraintProperty);
        }
    }
}
